Redmine - Patch #5886

bash scanner for Coderay/ Redmine
2010-07-15 12:50 - Anh Ky Huynh

Status: Closed Start date: 2010-07-15
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

| wrote a Bash scanner for Coderay/Redmine. The work is based on php.rb and
http://redmine.rubychan.de/attachments/download/78/bash.rb .

The work: http:/freebox.vn/attachments/download/421/bash.rb

Please test and consider to add this scanner to Redmine trunk ;)

Thank you.

History

#1 - 2010-07-15 13:07 - Felix Schéfer

- Status changed from New to Closed

We include coderay as is, please post your proposed patch there, but thanks for the proposal :-)

#2 - 2010-07-15 13:13 - Anh Ky Huynh

Thanks for suggestion. | can only ensure that my script works with Redmine/Coderay, but not with generic Coderay. Anyway, | will try to post there :)

#3 - 2010-07-15 13:29 - Felix Schéfer

If it works here, it will work there too ;-) There's also a short guide on how to use coderay from within irb (interactive ruby) on the coderay homepage, |
think you can figure out how to test your parser.

#4 - 2010-07-18 18:46 - Kornelius Kalnbach

| took the ticket: http:/redmine.rubychan.de/issues/31 :)

#5 - 2010-07-18 19:06 - Felix Schafer

/me looks forward to it :-)

#6 - 2011-09-27 10:53 - Adam Klinkosz

Could you please attach the file here? The location you gave is not valid anymore.
Thank you in advance.

#7 - 2011-09-27 11:07 - Anh Ky Huynh

| am sorry for any inconvenience. The new link is http://dragula.org/attachments/download/421/bash.rb
Regards,

#8 - 2012-11-22 04:21 - zeerd emneg

| am sorry , but the last url 1 year ago was invalid , too.

It return "403 Forbidden".

Could you just upload it here?

#9 - 2012-11-22 04:56 - Anh Ky Huynh
- File bash.rb added
zeerd emneg wrote:
| am sorry , but the last url 1 year ago was invalid , too.
It return "403 Forbidden".

Could you just upload it here?

You can download it from http://dragula.org/attachments/download/421/bash.rb , or you can download from the attachment of this post.

Thank you.

Files

bash.rb 4.03 KB 2012-11-22 Anh Ky Huynh
